import type { EquipmentTypeViewModel } from "../equipmentType/equipmentType.models";

export interface InspectionPlanViewModel {
  id: string;
  title: string;
  inspectionInterval: `${number}-${"d" | "m" | "y"}` | `${number}/${number}` | `${number}/*`;
  remindTime: `${number}-${"d" | "m" | "y"}` | `${number}/${number}` | `${number}/*`;
  version: number;
  inspectionPoints: InspectionPointViewModel[];
  equipmentTypeId: string;
  equipmentType: EquipmentTypeViewModel;
}

export interface CreateInspectionPlanViewModel {
  title: string;
  inspectionInterval: `${number}-${"d" | "m" | "y"}` | `${number}/${number}` | `${number}/*`;
  remindTime: `${number}-${"d" | "m" | "y"}` | `${number}/${number}` | `${number}/*`;
  equipmentTypeId: string;
}

export interface UpdateInspectionPlanViewModel {
  id: string;
  title: string;
  inspectionInterval: `${number}-${"d" | "m" | "y"}` | `${number}/${number}` | `${number}/*`;
  remindTime?: `${number}-${"d" | "m" | "y"}` | `${number}/${number}` | `${number}/*`;
}

export interface InspectionPointViewModel {
  id: string;
  title: string;
  description: string;
  type: "iO-niO" | "text" | "number";
}
